JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
const brand = await client.brands.retrieve('brand_id');
console.log(brand.id);import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
brand = client.brands.retrieve(
"brand_id",
)
print(brand.id)package main
import (
"context"
"fmt"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
brand, err := client.Brands.Get(context.TODO(), "brand_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brand.ID)
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.brands.Brand;
import com.courier.models.brands.BrandRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
Brand brand = client.brands().retrieve("brand_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
brand = courier.brands.retrieve("brand_id")
puts(brand)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$brand = $client->brands->retrieve('brand_id');
var_dump($brand);
} catch (APIException $e) {
echo $e->getMessage();
}using System;
using TryCourier;
using TryCourier.Models.Brands;
CourierClient client = new();
BrandRetrieveParams parameters = new() { BrandID = "brand_id" };
var brand = await client.Brands.Retrieve(parameters);
Console.WriteLine(brand);courier brands retrieve \
--api-key 'My API Key' \
--brand-id brand_idcurl --request GET \
--url https://api.courier.com/brands/{brand_id} \
--header 'Authorization: Bearer <token>'{
"id": "bnd_01kx4mrd0pfzw8wt7pn7p2fzag",
"name": "Default Brand",
"published": 1,
"created": 1,
"updated": 1,
"settings": {
"colors": {
"primary": "string",
"secondary": "string"
},
"email": {
"templateOverride": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string",
"mjml": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string"
},
"footerBackgroundColor": "string",
"footerFullWidth": true
},
"head": {
"inheritDefault": true,
"content": "string"
},
"footer": {
"content": "string",
"inheritDefault": true
},
"header": {
"inheritDefault": true,
"barColor": "string",
"logo": {
"href": "https://example.com",
"image": "string"
}
}
},
"inapp": {
"borderRadius": "string",
"disableMessageIcon": true,
"fontFamily": "string",
"placement": "top",
"widgetBackground": {
"topColor": "string",
"bottomColor": "string"
},
"colors": {
"primary": "string",
"secondary": "string"
},
"icons": {
"bell": "string",
"message": "Example message text"
}
}
},
"snippets": {
"items": [
{
"name": "Default Brand",
"value": "string"
}
]
},
"version": "string"
}Brands
Get a brand
Fetch a specific brand by brand ID.
GET
/
brands
/
{brand_id}
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
const brand = await client.brands.retrieve('brand_id');
console.log(brand.id);import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
brand = client.brands.retrieve(
"brand_id",
)
print(brand.id)package main
import (
"context"
"fmt"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
brand, err := client.Brands.Get(context.TODO(), "brand_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brand.ID)
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.brands.Brand;
import com.courier.models.brands.BrandRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
Brand brand = client.brands().retrieve("brand_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
brand = courier.brands.retrieve("brand_id")
puts(brand)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$brand = $client->brands->retrieve('brand_id');
var_dump($brand);
} catch (APIException $e) {
echo $e->getMessage();
}using System;
using TryCourier;
using TryCourier.Models.Brands;
CourierClient client = new();
BrandRetrieveParams parameters = new() { BrandID = "brand_id" };
var brand = await client.Brands.Retrieve(parameters);
Console.WriteLine(brand);courier brands retrieve \
--api-key 'My API Key' \
--brand-id brand_idcurl --request GET \
--url https://api.courier.com/brands/{brand_id} \
--header 'Authorization: Bearer <token>'{
"id": "bnd_01kx4mrd0pfzw8wt7pn7p2fzag",
"name": "Default Brand",
"published": 1,
"created": 1,
"updated": 1,
"settings": {
"colors": {
"primary": "string",
"secondary": "string"
},
"email": {
"templateOverride": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string",
"mjml": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string"
},
"footerBackgroundColor": "string",
"footerFullWidth": true
},
"head": {
"inheritDefault": true,
"content": "string"
},
"footer": {
"content": "string",
"inheritDefault": true
},
"header": {
"inheritDefault": true,
"barColor": "string",
"logo": {
"href": "https://example.com",
"image": "string"
}
}
},
"inapp": {
"borderRadius": "string",
"disableMessageIcon": true,
"fontFamily": "string",
"placement": "top",
"widgetBackground": {
"topColor": "string",
"bottomColor": "string"
},
"colors": {
"primary": "string",
"secondary": "string"
},
"icons": {
"bell": "string",
"message": "Example message text"
}
}
},
"snippets": {
"items": [
{
"name": "Default Brand",
"value": "string"
}
]
},
"version": "string"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique identifier associated with the brand you wish to retrieve.
⌘I